# Return unreserved sponsor credits to the account

URL: https://www.atmee.ai/docs/v2/api/reference/avatars/withdrawAvatarSponsor

`POST /v1/avatars/{avatarId}/sponsor/withdrawals`

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `avatarId` | path | yes |  |

## Request body

- `application/json`: `SponsorWithdrawRequest`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `microcredits` | integer | no | Omit to withdraw everything that is not reserved by a running session. |

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | Withdrawn. | `SponsorWithdrawResponse` |
| `401` | Missing or invalid API key -- or a user token that is invalid, anonymous, or of a user who may act for no account (invalid_login) | none |
| `403` | insufficient_scope \| avatar_not_allowed | none |
| `404` | avatar_not_found | none |
| `409` | insufficient_sponsored_balance | `ApiErrorResponse` |

## `200` response fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `withdrawnMicrocredits` | integer | yes |  |
